Description: bonjour,

je souhaiterai avoir la possibilité de créer de multiples sessions pour un méme QCM (+/- 100 étudiants a

chaque passage). L'objectif est double : d'une part de pouvoir faire passer un QCM a des étudiants absents

lors de la premiére session, d'autre part a faire repasser ce méme QCM a des étudiants qui ne l'auraient pas

validé la premiére fois.
Actuellement :

* pour les absents je les intégre au QCM en question (pas de pb) mais c’est lors de I'export par mail qu'il est

fastidieux de retrouver les "bons" envois a faire;

* pour les non validés comme je veux garder une trace du premier essai je ne peux pas appliquer la méthode
précédente et donc je duplique le QCM de départ je purge les copies et je re-corrige comme un QCM vierge

mais alors je suis trés vite débordé par une foultitude de versions "clonées" de QCMs.

Serait-ce possible et envisageable ?
Cordialement,

History

11/30/2023 10:25 am - Alexis Bienveniie
- Status changed from New to Feedback

Peut-étre que vous pouvez préfixer les noms d'étudiants (et/ou les numéros d'étudiant) dans votre liste d'étudiant par le numéro de session ?

Pour la session 1

<pre>

nom,prenom,id
1-BOULIX,Jojo,112345678
1-GOLIN,André, 187654321
</pre>

Et pour la deuxiéme si par exemple Jojo BOULIX la repasse seulement, rajouter une ligne :
<pre>

nom,prenom,id
1-BOULIX,Jojo,112345678
1-GOLIN,André, 187654321
2-BOULIX,Jojo,212345678
</pre>

En leur demandant de coder leur numéro d'étudiant précédé du numéro de session...

11/30/2023 10:25 am - Alexis Bienveniie
- Tracker changed from Bug to Feature

11/30/2023 11:17 am - Anthony Siaudeau

merci pour cette piste intéressante. Elle me semble applicable pour de petits effectifs mais je ne saurai pas I'exploiter personnellement: je gére «en

simultané» jusqu'a 6 niveaux de QCMs pour 90 étudiants, je pense que leur demander de coder en plus leur n° de session sera assez vite source

d'erreurs. Par ailleurs j'ai tendance a faire un QCM puis une version 2 un peu différente et ensuite et seulement ensuite je leur fais repasser différentes

versions précédentes (pour économiser du papier).

Je vais creuser |'idée néanmoins.
Merci bien

11/30/2023 12:05 pm - Alexis Bienvenlie

Oui vous avez raison cela entraine des complications génantes.

Je peux vous proposer d'ajouter a AMC une commande du genre @\codeprepend{etu}{1}@ qui sera prise en compte lors du calcul des notes avec
relecture du bareme.

# On met @\codeprepend{etu}{1}@ et on fait passer la session 1 : un 1 sera ajouté au début des codes d'étudiants lus.

# On change la valeur dans le fichier source : @\codeprepend{etu}{2}@ puis on note (avec relecture du baréme) les copies de la session 2 : un 2 sera
ajouté au début des codes d'étudiants lus.

# etc.

Par contre, si les sujets sont différents d'une session a l'autre, ce ne sera pas possible d'en faire un seul projet AMC.

11/30/2023 02:50 pm - Anthony Siaudeau
merci pour cette proposition. Je n'ai pu I'essayer qu'aprés passage de la session sans le code donc. Et avec seulement @\codeprepend{etu}{2}@ les
identités des étudiants ne sont pas retrouvées. A quel endroit exactement du fichier.tex dont on placer ce code ? Et donc on alors aussi modifier le

fichier csv ?

11/30/2023 02:56 pm - Alexis Bienvenlie
Cette commande n'existe pas encore. C'est une piste d'amélioration future d'’AMC.

11/30/2023 03:11 pm - Anthony Siaudeau
Ah excusez moi je n'avais pas compris. Du coup oui ca semble bien.
Et si possible ajouter un moyen "simple" de retrouver le n° de session dans le listing pour envoyer les copies corrigées par mails

12/06/2023 09:53 am - Alexis Bienveniie
- Status changed from Feedback to WontFix

Bon ceci dit aprés réflexion ¢a va poser quelques problémes et en plus cette solution n'est pas terrible...

Je crois que je vais vous laisser avec vos multiples répertoires projets : désolé.

12/06/2023 03:24 pm - Anthony Siaudeau
soit j'entends. Avant de clore le sujet définitivement : est-ce possible d'imaginer une ligne de préfixe étudiant comme vous le proposiez au début, mais
que seul l'identifiant sans préfixe soit nécessaire pour étre «reconnu». En gros votre idée mais avec un fichier csv classique non démultiplié n fois avec

n le nb de sessions ?

12/06/2023 03:29 pm - Alexis Bienvenlie
Pas vraiment. Je n'ai malheureusement pas trouvé de solution pas trop lourde a votre probleme, a part la duplication du projet.

12/06/2023 03:44 pm - Anthony Siaudeau

ok alors restons en la. Si d’aventure je trouve une solution alternative et raisonnable je la posterai ici.

Merci bien.
